Name:           perl-Data-Domain
Version:        1.06
Release:        1%{?dist}
Summary:        Data description and validation
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-Domain/
Source0:        file:///home/dave/mirrors/minicpan//authors/id/D/DA/DAMI/Data-Domain-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.010001
BuildRequires:  perl(Date::Calc)
BuildRequires:  perl(experimental)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Scalar::Does) >= 0.007
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(Date::Calc)
Requires:       perl(experimental)
Requires:       perl(List::MoreUtils)
Requires:       perl(Scalar::Does) >= 0.007
Requires:       perl(Scalar::Util)
Requires:       perl(Sub::Exporter)
Requires:       perl(Try::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
A data domain is a description of a set of values, either scalar or
structured (arrays or hashes). The description can include many
constraints, like minimal or maximal values, regular expressions, required
fields, forbidden fields, and also contextual dependencies. From that
description, one can then invoke the domain's inspect method to check if a
given value belongs to the domain or not. In case of mismatch, a structured
set of error messages is returned, giving detailed explanations about what
was wrong.

%prep
%setup -q -n Data-Domain-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 28 2015 Dave Cross <dave@mag-sol.com> 1.06-1
- Specfile autogenerated by cpanspec 1.78.
